MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029858Community[OCCT] OCCT:Modeling Datapublic2018-06-11 16:412019-09-15 10:55
Reportermartinsiggel 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0029858: Modeling Data - Regression in GeomAPI_ExtremaCurveCurve
DescriptionCommit http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commit;h=246c7a7554dd24047ada720fbfce42e9c10b4657 [^] introduced a regression, computing the wrong intersection / extrema results.

The regression either computes the wrong result or the wrong number of extremas.

Steps To Reproducetest lowalgos extcc bug29858_01
test lowalgos extcc bug29858_02
test lowalgos extcc bug29858_03
test lowalgos extcc bug29858_04
TagsNo tags attached.
Test case numberlowalgos/extcc/bug29858_01, lowalgos/extcc/bug29858_02, lowalgos/extcc/bug29858_03, lowalgos/extcc/bug29858_04
Attached Filesgz file icon geomapi_extremacurvecurve_regression.tar.gz (17,545 bytes) 2018-06-11 16:41
zip file icon shapes.zip (18,815 bytes) 2019-09-06 14:38

- Relationships

-  Notes
(0086730)
git (administrator)
2019-09-04 13:01

Branch CR29858 has been created by aml.

SHA-1: afcaf36de312fbae3b6f0de7cfe0e0bdcbc7257f


Detailed log of new commits:

Author: aml
Date: Tue Sep 3 16:08:54 2019 +0300

    0029858: Modeling Data - Regression in GeomAPI_ExtremaCurveCurve
    
    Fix Newton's minimum projection algorithm onto boundaries in case of conditional optimization.
    Add possibility to detect several optimal points.
(0086795)
git (administrator)
2019-09-05 14:27

Branch CR29858 has been updated forcibly by aml.

SHA-1: f59bd7dcc0c196f7c40cbbe89e3592811ff6e5c6
(0086831)
git (administrator)
2019-09-06 08:15

Branch CR29858 has been updated forcibly by aml.

SHA-1: c3b519a7fcc101c52ca899c7c1148f2bcc48e0c8
(0086884)
aml (developer)
2019-09-06 14:40

Dear Mikhail,
Could you please add shapes for Jenkins testing? They are located in the "shapes.zip" archive.
(0086887)
msv (developer)
2019-09-06 15:04

Done.
(0086974)
git (administrator)
2019-09-09 06:41

Branch CR29858 has been updated forcibly by aml.

SHA-1: ec4d52e073674cb73c6923a4f32e6204c48bf7a8
(0086975)
aml (developer)
2019-09-09 08:42

Dear Mikhail,

Could you please review the CR29858 branch?

OCCT testing:
http://occt-tests/CR29858-master-aml-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR29858-master-aml-OCCT/Debian80-64/diff_summary.html [^]

Products testing:
http://occt-tests/CR29858-master-aml-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR29858-master-aml-Products/Debian80-64/diff-Debian80-64-cpu.html [^]
(0086978)
msv (developer)
2019-09-09 12:05

src/math/math_BFGS.cxx
- Please check if the sign of aDir is correctly treated in the changed condition (may be to reverse?).

Re-test with new reference.
(0086979)
git (administrator)
2019-09-09 12:32

Branch CR29858 has been updated by aml.

SHA-1: 06ba26ca4234b6a1bc8e138aa793f70192e9211f


Detailed log of new commits:

Author: aml
Date: Mon Sep 9 12:28:53 2019 +0300

    # Remark correction.

(0086980)
aml (developer)
2019-09-09 14:33

Dear Mikhail,

Your remark was applied. Could you please check the CR29858 branch again?

OCCT testing:
http://occt-tests/CR29858-master-aml-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR29858-master-aml-OCCT/Debian80-64/diff_summary.html [^]

Products testing:
http://occt-tests/CR29858-master-aml-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR29858-master-aml-Products/Debian80-64/diff_summary.html [^]
(0086984)
msv (developer)
2019-09-09 15:20

Reviewed.
(0086988)
bugmaster (administrator)
2019-09-09 18:54

Combination -
OCCT branch : CR29858
master SHA - 06ba26ca4234b6a1bc8e138aa793f70192e9211f
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - f9d0bd5e3a29d6a97b3f5f6354ea2397253ab4f8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16818.880000000147 / 16836.290000000165 [-0.10%]
Products
Total CPU difference: 10566.830000000013 / 10553.510000000031 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 18312.875 / 18300.0625 [+0.07%]
Products
Total CPU difference: 12372.703125 / 12227.453125 [+1.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0087100)
git (administrator)
2019-09-15 10:55

Branch CR29858 has been deleted by inv.

SHA-1: 06ba26ca4234b6a1bc8e138aa793f70192e9211f

- Related Changesets
occt: master 94beb42a
Timestamp: 2019-09-03 13:08:54
Author: aml
Committer: bugmaster
Details ] Diff ]
0029858: Modeling Data - Regression in GeomAPI_ExtremaCurveCurve

Fix Newton's minimum projection algorithm onto boundaries in case of conditional optimization.
Add possibility to detect several optimal points at initialization of the math_GlobOptMin.
mod - src/ChFi3d/ChFi3d_Builder_CnCrn.cxx Diff ] File ]
mod - src/math/math_BFGS.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.hxx Diff ] File ]
mod - src/math/math_NewtonMinimum.cxx Diff ] File ]
add - tests/lowalgos/extcc/bug29858_01 Diff ] File ]
add - tests/lowalgos/extcc/bug29858_02 Diff ] File ]
add - tests/lowalgos/extcc/bug29858_03 Diff ] File ]
add - tests/lowalgos/extcc/bug29858_04 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-11 16:41 martinsiggel New Issue
2018-06-11 16:41 martinsiggel Assigned To => msv
2018-06-11 16:41 martinsiggel File Added: geomapi_extremacurvecurve_regression.tar.gz
2018-06-11 16:47 martinsiggel Steps to Reproduce Updated View Revisions
2018-06-13 12:21 msv Relationship added related to 0027371
2019-08-12 17:45 msv Target Version 7.4.0 => 7.5.0*
2019-09-03 13:15 aml Assigned To msv => aml
2019-09-04 11:55 kgv Summary Regression in GeomAPI_ExtremaCurveCurve => Modeling Data - Regression in GeomAPI_ExtremaCurveCurve
2019-09-04 13:01 git Note Added: 0086730
2019-09-04 13:01 aml Status new => assigned
2019-09-05 14:27 git Note Added: 0086795
2019-09-06 08:15 git Note Added: 0086831
2019-09-06 14:38 aml File Added: shapes.zip
2019-09-06 14:40 aml Note Added: 0086884
2019-09-06 14:40 aml Assigned To aml => msv
2019-09-06 14:40 aml Status assigned => feedback
2019-09-06 15:04 msv Note Added: 0086887
2019-09-06 15:04 msv Assigned To msv => aml
2019-09-06 15:04 msv Status feedback => assigned
2019-09-06 16:56 msv Target Version 7.5.0* => 7.4.0
2019-09-09 06:41 git Note Added: 0086974
2019-09-09 08:42 aml Note Added: 0086975
2019-09-09 08:42 aml Assigned To aml => msv
2019-09-09 08:42 aml Status assigned => resolved
2019-09-09 08:42 aml Steps to Reproduce Updated View Revisions
2019-09-09 12:05 msv Note Added: 0086978
2019-09-09 12:05 msv Assigned To msv => aml
2019-09-09 12:05 msv Status resolved => assigned
2019-09-09 12:32 git Note Added: 0086979
2019-09-09 14:33 aml Note Added: 0086980
2019-09-09 14:33 aml Assigned To aml => msv
2019-09-09 14:33 aml Status assigned => resolved
2019-09-09 15:20 msv Note Added: 0086984
2019-09-09 15:20 msv Assigned To msv => bugmaster
2019-09-09 15:20 msv Status resolved => reviewed
2019-09-09 18:52 bugmaster Test case number => lowalgos/extcc/bug29858_01, lowalgos/extcc/bug29858_02, lowalgos/extcc/bug29858_03, lowalgos/extcc/bug29858_04
2019-09-09 18:54 bugmaster Note Added: 0086988
2019-09-09 18:54 bugmaster Status reviewed => tested
2019-09-15 10:51 bugmaster Changeset attached => occt master 94beb42a
2019-09-15 10:51 bugmaster Status tested => verified
2019-09-15 10:51 bugmaster Resolution open => fixed
2019-09-15 10:55 git Note Added: 0087100


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker